Redmine - Feature #772

Custom fields for timelogs too
2008-03-03 01:54 - Paolo Sulprizio

Status: Closed Start date: 2008-03-03
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Time tracking Estimated time: 0.00 hour
Target version: 0.8

Resolution: Fixed

Description

It should be useful to be able to add custom fields to timelogs.
It would be useful, for example, for:

°

log the location (adding a custom string field "location" or a custom list field [on-site|remote])

log how much of the time is "billable" (adding a custom percentage value field or a boolean field [billable|not-billable])
log the price of that work

log the start time of that timelog (adding a custom time field)

It could avoid the duplication of activities (billable/nonbillable) like here:
10

Associated revisions

Revision 1689 - 2008-07-22 20:52 - Jean-Philippe Lang

Adds custom fields on time entries (#772).

History

#1 - 2008-03-09 23:24 - Jean-Philippe Lang

- Target version set to 0.8

#2 - 2008-03-25 17:03 - Jos Yule

Issue #924 is talking about similar stuff.

#3 - 2008-03-25 18:05 - Eric Davis

Hey that's a screenshot of my Redmine! :)

+1, Custom data on timelogs would be a great addition.

#4 - 2008-05-16 14:51 - Ronie Henrich

+1, It would be a great feature.
I would like to contribute with some ideas, extending what was already described:

¢ |og the location, which could be defined as a multiplier for the hour rate. | explain: for example, remote could be multiplier 1 (price = hour rate *
1), and more than 10Km could be multiplier 1.5 (price = hour rate * 1.5);

e log how much of the time is "billable";

¢ log the price of that work, based on the hour rate defined for that user * the location multiplier;

¢ |og the start time of that timelog, maybe by Redmine receiving an email just with the issue number, accepted by Redmine if the user is
authorized to work on that issue. To log the ending time, the user would have to log on to fill up with the activity, location, etc.

#5 - 2008-05-16 19:28 - Paolo Sulprizio

Other possible usages...

e type of billing: hourly, flat, none
e discount

#6 - 2008-07-21 10:42 - Daniel N

+1 I’d really love this feature.
https://www.redmine.org/issues/924

#7 - 2008-07-22 20:51 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Fixed

Custom fields added on time entries in r1689.

#8 - 2008-07-23 15:07 - Daniel N

Wow, this is cool. Helps a lot! What about showing custom fields (if there are any) in the timelog table? | dont know how this is handled with custom
fileds for tickets. But it would be cool to have the custom fields in the table and eg. sort (the table) for custom field. Example: Sort by custom field
"billable".

#9 - 2008-07-23 19:23 - Paolo Sulprizio
Eric Davis wrote:

Hey that's a screenshot of my Redmine! :)
Hi Eric! Yes it is!

Thanks for your plugin!
| spoke about your plugin here: http://www.redmine.org/boards/1/topics/show/1027#message-1764

#10 - 2008-08-13 16:14 - Sascha Egerer

- Status changed from Closed to Reopened
Daniel Netzer wrote:
Wow, this is cool. Helps a lot! What about showing custom fields (if there are any) in the timelog table? | dont know how this is handled with

custom fileds for tickets. But it would be cool to have the custom fields in the table and eg. sort (the table) for custom field. Example: Sort by
custom field "billable".

+1
This function would be very helpful

#11 - 2008-09-15 15:50 - Paolo Sulprizio

from: http://www.redmine.org/issues/show/1617#note-3

| agree, but having custom fields for timeentries (#772) would be very helpful to achieve this [Feature #1617 - Payment system].

#12 - 2008-11-11 10:52 - Jean-Philippe Lang

- Status changed from Reopened to Closed

What about showing custom fields (if there are any) in the timelog table?

| agree but this is another feature.
For now, custom fields are exported in the csv file.
